final: prev: {
  rbw = prev.rbw.overrideAttrs (old: rec {
    version = "1.11.0";

    src = prev.fetchzip {
      url = "https://git.tozt.net/rbw/snapshot/rbw-${version}.tar.gz";
      hash = "sha256-5KZ6mYYJEqsqREhQ/DoEgvPSwagObBCx8SFsiIiWCsI=";
    };

    # we can't just override `cargoHash`, because of Nix
    # https://github.com/NixOS/nixpkgs/issues/107070
    cargoDeps = old.cargoDeps.overrideAttrs (
      prev.lib.const {
        name = "${old.pname}-vendor.tar.gz";
        inherit src;
        outputHash = "sha256-KlN31eNwywNVqwCl8s9r2RvEYl9/UMR2DR6Ov4ffwoc=";
      }
    );
  });
}